import request from '@/utils/request'

// 查询常用模板列表（不分页）
export function listTemplateNoPage(query) {
  return request({
    url: '/branch/template/listNoPage',
    method: 'get',
    params: query
  })
}

// 查询常用模板列表
export function listTemplate(query) {
  return request({
    url: '/branch/template/list',
    method: 'get',
    params: query
  })
}

// 查询常用模板详细
export function getTemplate(templateId) {
  return request({
    url: '/branch/template/' + templateId,
    method: 'get'
  })
}

// 新增常用模板
export function addTemplate(data) {
  return request({
    url: '/branch/template',
    method: 'post',
    data: data
  })
}

// 修改常用模板
export function updateTemplate(data) {
  return request({
    url: '/branch/template',
    method: 'put',
    data: data
  })
}

// 删除常用模板
export function delTemplate(templateId) {
  return request({
    url: '/branch/template/' + templateId,
    method: 'delete'
  })
}
